<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <groupId>org.openrefine</groupId>
  <artifactId>phonetic</artifactId>
  <packaging>jar</packaging>
  <version>3.6.1</version>

  <name>OpenRefine - Phonetic clustering extension</name>
  <description>Adds a few advanced phonetic clustering methods</description>
  <url>http://openrefine.org/</url>
  <parent>
    <groupId>org.openrefine</groupId>
    <artifactId>extensions</artifactId>
    <version>3.6.1</version>
  </parent>

  <build>
    <finalName>openrefine-sample</finalName>
    <resources>
      <resource>
        <directory>src</directory>
      </resource>
    </resources>
    <testSourceDirectory>tests/src</testSourceDirectory>
    <outputDirectory>module/MOD-INF/classes</outputDirectory>
    <plugins>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>${surefire.version}</version>
        <configuration>
          <suiteXmlFiles>
            <suiteXmlFile>tests/conf/tests.xml</suiteXmlFile>
          </suiteXmlFiles>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-dependency-plugin</artifactId>
	<version>${maven-dependency-plugin.version}</version>
        <executions>
            <execution>
            <phase>compile</phase>
            <goals>
                <goal>copy-dependencies</goal>
            </goals>
            <configuration>
                <outputDirectory>module/MOD-INF/lib</outputDirectory>
                <includeScope>runtime</includeScope>
            </configuration>
            </execution>
        </executions>
      </plugin>
    </plugins>
  </build>

  <dependencies>
     <dependency>
      <groupId>${project.groupId}</groupId>
      <artifactId>main</artifactId>
      <version>${project.version}</version>
      <scope>provided</scope>
    </dependency>
    <dependency>
      <groupId>javax.servlet</groupId>
      <artifactId>javax.servlet-api</artifactId>
      <version>${servlet-api.version}</version>
      <scope>provided</scope>
    </dependency>

   <!-- add here the dependencies of your extension -->

    <dependency>
      <groupId>org.testng</groupId>
      <artifactId>testng</artifactId>
      <version>${testng.version}</version>
      <scope>test</scope>
    </dependency>
  </dependencies>

</project>

